import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import { TrpcContextProvider } from "@/app/components/providers/TrpcContextProvider";
import { SessionAuthProvider } from "@/app/components/providers/SessionAuthProvider";
import { JotaiProvider } from '@/app/components/providers/JotaiProvider'

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Coco Apps",
  description: "Cocorobo's Apps Platform",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <JotaiProvider>
          <TrpcContextProvider>
            <SessionAuthProvider>
              {children}
            </SessionAuthProvider>
          </TrpcContextProvider>
        </JotaiProvider>
      </body>
    </html>
  );
}
