-- CreateTable
CREATE TABLE `AWS_Policy_Role` (
    `id` VARCHAR(36) NOT NULL,
    `assistant_id` VARCHAR(36) NULL,
    `agent_bedrock_policy` LONGTEXT NULL,
    `agent_kb_schema_policy` LONGTEXT NULL,
    `kb_bedrock_policy` LONGTEXT NULL,
    `kb_aoss_policy` LONGTEXT NULL,
    `kb_s3_policy` LONGTEXT NULL,
    `agent_role_name` TEXT NULL,
    `kb_role_name` TEXT NULL,
    `createtime` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `Ai_Agent_Assistants` (
    `id` VARCHAR(36) NOT NULL,
    `userId` VARCHAR(255) NULL,
    `username` VARCHAR(255) NULL,
    `agent_sort` VARCHAR(255) NULL,
    `agent_tag` VARCHAR(255) NULL,
    `assistantName` VARCHAR(255) NULL,
    `description` LONGTEXT NULL,
    `prologue` LONGTEXT NULL,
    `headUrl` LONGTEXT NULL,
    `instructions` LONGTEXT NULL,
    `isRetrieval` BOOLEAN NULL,
    `isCode` BOOLEAN NULL,
    `isGoogle` BOOLEAN NULL,
    `isDalleImage` BOOLEAN NULL,
    `functionNames` LONGTEXT NULL,
    `functionContents` LONGTEXT NULL,
    `assistant_id` TEXT NULL,
    `thread_id` TEXT NULL,
    `file_ids` LONGTEXT NULL,
    `file_names` LONGTEXT NULL,
    `isPublish` BOOLEAN NULL,
    `organize_id` LONGTEXT NULL,
    `vector_store_id` TEXT NULL,
    `modelType` VARCHAR(255) NULL,
    `createtime` DATETIME(0) NULL,
    `updatetime` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `Ai_Agent_Threads` (
    `id` VARCHAR(36) NOT NULL,
    `userId` VARCHAR(255) NULL,
    `assistant_id` TEXT NULL,
    `thread_id` TEXT NULL,
    `createtime` DATETIME(0) NULL,
    `session_name` VARCHAR(255) NOT NULL DEFAULT '',

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `Assistant` (
    `id` VARCHAR(36) NOT NULL,
    `uid` VARCHAR(36) NULL,
    `assistant_id` TEXT NULL,
    `thread_id` TEXT NULL,
    `file_ids` TEXT NULL,
    `vector_store_id` TEXT NULL,
    `createtime` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `Chat` (
    `id` VARCHAR(36) NOT NULL DEFAULT '',
    `groupid` VARCHAR(36) NULL,
    `userid` VARCHAR(36) NULL,
    `username` VARCHAR(255) NULL,
    `answer` TEXT NULL,
    `problem` LONGTEXT NULL,
    `createtime` DATETIME(0) NULL,
    `fileid` VARCHAR(36) NULL,
    `isMindMap` INTEGER NULL,
    `filename` VARCHAR(255) NULL,
    `session_name` VARCHAR(255) NOT NULL DEFAULT '',
    `scene` VARCHAR(255) NULL,

    INDEX `createtime`(`createtime`),
    INDEX `fileid`(`fileid`),
    INDEX `groupid`(`groupid`),
    INDEX `userid`(`userid`),
    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `Disposition` (
    `id` VARCHAR(36) NOT NULL,
    `module` VARCHAR(255) NULL,
    `disposition_class` VARCHAR(255) NULL,
    `disposition_type` VARCHAR(255) NULL,
    `disposition_style` VARCHAR(255) NULL,
    `disposition_theme` VARCHAR(255) NULL,
    `user_id` VARCHAR(36) NULL,
    `create_time` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `Group` (
    `id` VARCHAR(36) NOT NULL,
    `name` VARCHAR(255) NULL,
    `userid` VARCHAR(36) NULL,
    `createtime` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `GroupFile` (
    `id` VARCHAR(36) NOT NULL,
    `userid` VARCHAR(36) NULL,
    `fileurl` TEXT NULL,
    `filename` TEXT NULL,
    `groupid` VARCHAR(36) NULL,
    `abstract` TEXT NULL,
    `assistantFileId` VARCHAR(36) NULL,
    `modelType` VARCHAR(36) NULL,
    `createtime` DATETIME(0) NULL,

    INDEX `createtime`(`createtime`),
    INDEX `groupid`(`groupid`),
    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `InvitationCode` (
    `id` VARCHAR(36) NOT NULL,
    `cid` VARCHAR(36) NULL,
    `themeId` VARCHAR(36) NULL,
    `type` INTEGER NULL,
    `invitationCode` VARCHAR(36) NULL,
    `createtime` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `ai_agent_park_session` (
    `id` VARCHAR(36) NOT NULL,
    `session_name` VARCHAR(255) NULL,
    `user_id` VARCHAR(255) NULL,
    `isCocoNote` TINYINT NULL,
    `createtime` DATETIME(0) NULL,
    `work_area_text` LONGTEXT NULL,
    `scene` VARCHAR(255) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `classroom_ob_comment` (
    `id` VARCHAR(255) NOT NULL,
    `module_id` VARCHAR(255) NOT NULL,
    `module_name` VARCHAR(255) NULL,
    `nickname` VARCHAR(255) NULL,
    `commentContent` LONGTEXT NULL,
    `audit_status` INTEGER NOT NULL DEFAULT 0,
    `t_id` VARCHAR(36) NULL,
    `create_time` DATETIME(0) NULL,

    INDEX `tid_status`(`audit_status`, `t_id`),
    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `classroom_observation` (
    `id` VARCHAR(36) NOT NULL,
    `jsonData` LONGTEXT NULL,
    `Type` INTEGER NULL,
    `tIndex` INTEGER NULL,
    `tId` VARCHAR(36) NULL,
    `createtime` DATETIME(0) NULL,
    `like_num` INTEGER NOT NULL DEFAULT 0,
    `like_data` LONGTEXT NULL,
    `userid` VARCHAR(255) NULL,
    `isdel` INTEGER NULL DEFAULT 0,
    `limitData` LONGTEXT NULL,

    INDEX `Type`(`Type`),
    INDEX `createtime`(`createtime`),
    INDEX `tIndex`(`tIndex`),
    INDEX `type_tid`(`Type`, `tId`),
    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `course_resource` (
    `id` VARCHAR(36) NOT NULL,
    `subject` VARCHAR(255) NULL,
    `grade` VARCHAR(255) NULL,
    `textbook` VARCHAR(255) NULL,
    `book_type` VARCHAR(255) NULL,
    `unit` VARCHAR(255) NULL,
    `period` VARCHAR(255) NULL,
    `unit_content` LONGTEXT NULL,
    `course_content` LONGTEXT NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `knowledge_construction_doc` (
    `id` VARCHAR(255) NOT NULL,
    `muti_id` VARCHAR(255) NULL,
    `user_id` VARCHAR(255) NULL,
    `session_id` VARCHAR(255) NULL,
    `content` LONGTEXT NULL,
    `create_time` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `meeting_trick` (
    `id` VARCHAR(36) NOT NULL,
    `createtime` DATETIME(0) NULL,
    `userid` VARCHAR(255) NULL,
    `meeting_name` VARCHAR(255) NULL,
    `meeting_original` LONGTEXT NULL,
    `meeting_minutes` LONGTEXT NULL,
    `audio_url` VARCHAR(255) NULL,
    `duration` VARCHAR(255) NULL,
    `ab` LONGTEXT NULL,

    INDEX `get_meeting_trick`(`userid`),
    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `meeting_trick_chat` (
    `id` VARCHAR(36) NOT NULL,
    `meeting_id` VARCHAR(36) NULL,
    `createtime` DATETIME(0) NULL,
    `user_content` TEXT NULL,
    `ai_content` TEXT NULL,

    INDEX `get_meeting_trick_chat`(`meeting_id`),
    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `muti_agent_list` (
    `id` VARCHAR(255) NOT NULL,
    `userid` VARCHAR(255) NULL,
    `username` VARCHAR(255) NULL,
    `muti_name` VARCHAR(255) NULL,
    `description` LONGTEXT NULL,
    `isPublish` BOOLEAN NULL,
    `organizeid` LONGTEXT NULL,
    `content` LONGTEXT NULL,
    `create_time` DATETIME(0) NULL,
    `knowledge_construction` INTEGER NULL,

    INDEX `index_id`(`id`),
    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `park_chat_file_list` (
    `id` VARCHAR(255) NOT NULL,
    `user_id` VARCHAR(255) NULL,
    `file_names` LONGTEXT NOT NULL,
    `file_ids` LONGTEXT NOT NULL,
    `create_time` DATETIME(0) NULL,
    `file_urls` LONGTEXT NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `token` (
    `id` VARCHAR(255) NOT NULL,
    `schoolId` VARCHAR(255) NULL,
    `key` VARCHAR(255) NULL,
    `createUsername` VARCHAR(255) NULL,
    `createtime` DATETIME(0) NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

